Veteran owned and
operated since 1998

Trying to fix “Browser not Supported” errors or “Browser no Longer Supported” errors

Occasionally, you may get an error indicating your browser is not supported when visiting a web page. This error is referring to the browser that’s on your machine or device you are using to access the site with. Unfortunately we have no control over what kind of computer or other device you choose to use to get onto the Internet with.

In the following information, the term device refers to your computer, laptop, phone, tablet or whatever you are using to browse the Internet.

That being said, sometimes (it is not always possible) there are viable workarounds to old browsers:

Mozilla Firefox

One workaround is to use the latest version of Mozilla Firefox that can be placed on your device. The standard version of Mozilla Firefox can be downloaded for free at https://www.mozilla.org/en-US/ or can usually be acquired through your app store for installation.

Google Chrome

Another workaround is to use the latest version of Google Chrome that can be placed on your machine, which also can be downloaded for free at https://www.google.com/chrome/ or can usually be acquired through your app store for installation.

In most cases you can get at least one of those downloaded. Even if your system is old enough that it might not let you use the latest version of either of those, it will generally allow a version that will still allow you to have a better experience browsing the web than the original browser.

If you can’t get either of those to work, then I would strongly urge you to see whomever handles setting up or performing your IT work for a solution. With the older systems, you are leaving yourself open to security issues that could ultimately cost you way more pain and aggravation then upgrading a machine or device.

Hope that helps!

CharlesWorks